Index: README
===================================================================
--- README	(revision f19df0a3e59b239b43f9fc3eb14d4b05dc41fa10)
+++ README	(revision e2abfd326fbc0376081d9298a0ae92600057d629)
@@ -33,5 +33,5 @@
 Third parties:
 * This software is created using opensource version of Qt toolkit,
-  see http://www.qtsoftware.com/
+  see http://qt.nokia.com/
 * The icons used in this software are part of Oxygen Icons project
   licensed according to the GNU Lesser General Public License,
Index: l10n/tspsg_ru.ts
===================================================================
--- l10n/tspsg_ru.ts	(revision f19df0a3e59b239b43f9fc3eb14d4b05dc41fa10)
+++ l10n/tspsg_ru.ts	(revision e2abfd326fbc0376081d9298a0ae92600057d629)
@@ -10,4 +10,9 @@
         <comment>Please, provide a native name of your translation language here.</comment>
         <translation>Русский</translation>
+    </message>
+    <message>
+        <source>TRANSLATION</source>
+        <comment>Please, provide translator credits here.</comment>
+        <translation>Русский перевод:&lt;br&gt;&lt;a href=&quot;http://oleksii.name/&quot;&gt;Алексей Lёppa Сердюк&lt;/a&gt;</translation>
     </message>
 </context>
Index: l10n/tspsg_uk.ts
===================================================================
--- l10n/tspsg_uk.ts	(revision f19df0a3e59b239b43f9fc3eb14d4b05dc41fa10)
+++ l10n/tspsg_uk.ts	(revision e2abfd326fbc0376081d9298a0ae92600057d629)
@@ -10,4 +10,9 @@
         <comment>Please, provide a native name of your translation language here.</comment>
         <translation>Українська</translation>
+    </message>
+    <message>
+        <source>TRANSLATION</source>
+        <comment>Please, provide translator credits here.</comment>
+        <translation>Український переклад:&lt;br&gt;&lt;a href=&quot;http://oleksii.name/&quot;&gt;Олексій Lёppa Сердюк&lt;/a&gt;</translation>
     </message>
 </context>
Index: resources/tspsg.rc
===================================================================
--- resources/tspsg.rc	(revision f19df0a3e59b239b43f9fc3eb14d4b05dc41fa10)
+++ resources/tspsg.rc	(revision e2abfd326fbc0376081d9298a0ae92600057d629)
@@ -44,11 +44,11 @@
         BEGIN
 //            VALUE "Comments", VERSIONID
-            VALUE "CompanyName", "..::Lёppsville::.. Homes"
+            VALUE "CompanyName", "Oleksii ""Lёppa"" Serdiuk"
             VALUE "FileDescription", "TSPSG: TSP Solver and Generator"
             VALUE "FileVersion", BUILD_VERSION
             VALUE "InternalName", "TSPSG"
-            VALUE "LegalCopyright", "Copyright © 2007-2010 Lёppa <contacts[at]oleksii[dot]name>"
+            VALUE "LegalCopyright", "Copyright © 2007-2010 Oleksii ""Lёppa"" Serdiuk <contacts[at]oleksii[dot]name>"
             VALUE "OriginalFilename", "tspsg.exe"
-            VALUE "ProductName", "TSPSG"
+            VALUE "ProductName", "TSPSG: TSP Solver and Generator"
             VALUE "ProductVersion", BUILD_VERSION
 #if defined(_DEBUG) || defined(DEBUG)
Index: src/globals.h
===================================================================
--- src/globals.h	(revision f19df0a3e59b239b43f9fc3eb14d4b05dc41fa10)
+++ src/globals.h	(revision e2abfd326fbc0376081d9298a0ae92600057d629)
@@ -32,4 +32,5 @@
 #include <QtCore>
 #include <QtGui>
+#include <limits>
 
 // Version info
@@ -89,5 +90,5 @@
 	#undef INFINITY
 #endif
-#define INFINITY 1.7E+308
+#define INFINITY std::numeric_limits<double>::infinity()
 //! This string represents infinite value in the table
 #define INFSTR "---"
@@ -104,4 +105,15 @@
 	return (modf(x, &i) == 0.0);
 }
+
+#ifdef Q_OS_WIN32
+/*!
+ * \brief Enables or disables a mask for the \a widget.
+ * \param widget A widget to toggle mask on.
+ * \param enable Set to \c true to enable mask or \c false to disable it.
+ *
+ *  This function is used to enable an outlined font effect for \c QLabel with a static text.
+ */
+void toggleStyle(QWidget *widget, bool enable);
+#endif // Q_OS_WIN32
 
 // Sanity checks
Index: src/main.cpp
===================================================================
--- src/main.cpp	(revision f19df0a3e59b239b43f9fc3eb14d4b05dc41fa10)
+++ src/main.cpp	(revision e2abfd326fbc0376081d9298a0ae92600057d629)
@@ -34,6 +34,6 @@
 
 #ifdef STATIC_BUILD
-	Q_IMPORT_PLUGIN(qjpeg)
-	Q_IMPORT_PLUGIN(qsvg)
+//	Q_IMPORT_PLUGIN(qjpeg)
+//	Q_IMPORT_PLUGIN(qsvg)
 #endif
 
Index: src/mainwindow.cpp
===================================================================
--- src/mainwindow.cpp	(revision f19df0a3e59b239b43f9fc3eb14d4b05dc41fa10)
+++ src/mainwindow.cpp	(revision e2abfd326fbc0376081d9298a0ae92600057d629)
@@ -295,4 +295,10 @@
 		if (untitled)
 			setFileName();
+#ifdef Q_OS_WIN32
+		if (QtWin::isCompositionEnabled() && settings->value("UseTranslucency", DEF_USE_TRANSLUCENCY).toBool())  {
+			toggleStyle(labelVariant, true);
+			toggleStyle(labelCities, true);
+		}
+#endif
 		QApplication::restoreOverrideCursor();
 	}
@@ -304,26 +310,29 @@
 QString title;
 #if defined(Q_OS_WINCE) || defined(Q_OS_SYMBIAN)
-	title += QString::fromUtf8("<b>TSPSG<br>TSP Solver and Generator</b><br>");
+	title += QString("<b>TSPSG<br>TSP Solver and Generator</b><br>");
 #else
-	title += QString::fromUtf8("<b>TSPSG: TSP Solver and Generator</b><br>");
-#endif // Q_OS_WINCE
-	title += QString::fromUtf8("Version: <b>"BUILD_VERSION"</b><br>");
-	title += QString::fromUtf8("<b>&copy; 2007-%1 Lёppa</b><br>").arg(QDate::currentDate().toString("yyyy"));
-	title += QString::fromUtf8("<b><a href=\"http://tspsg.sourceforge.net/\">http://tspsg.sf.net/</a></b><br>");
+	title += QString("<b>TSPSG: TSP Solver and Generator</b><br>");
+#endif // Q_OS_WINCE || Q_OS_SYMBIAN
+	title += QString("%1: <b>%2</b><br>").arg(tr("Version"), BUILD_VERSION);
+#if !defined(Q_OS_WINCE) && !defined(Q_OS_SYMBIAN)
+	title += QString("<b>&copy; 2007-%1 Oleksii \"Lёppa\" Serdiuk</b><br>").arg(QDate::currentDate().toString("yyyy"));
+	title += QString("<b><a href=\"http://tspsg.sourceforge.net/\">http://tspsg.sourceforge.net/</a></b>");
+#else
+	title += QString("<b><a href=\"http://tspsg.sourceforge.net/\">http://tspsg.sf.net/</a></b>");
+#endif // Q_OS_WINCE && Q_OS_SYMBIAN
+
 QString about;
-	about += QString::fromUtf8("Target OS (ARCH): <b>%1</b><br>").arg(OS);
+	about += QString("%1: <b>%2</b><br>").arg(tr("Target OS (ARCH)"), OS);
 #ifndef STATIC_BUILD
-	about += "Qt library (shared):<br>";
-	about += QString::fromUtf8("&nbsp;&nbsp;&nbsp;&nbsp;Build time: <b>%1</b><br>").arg(QT_VERSION_STR);
-	about += QString::fromUtf8("&nbsp;&nbsp;&nbsp;&nbsp;Runtime: <b>%1</b><br>").arg(qVersion());
+	about += QString("%1 (%2):<br>").arg(tr("Qt library"), tr("shared"));
+	about += QString("&nbsp;&nbsp;&nbsp;&nbsp;%1: <b>%2</b><br>").arg(tr("Build time"), QT_VERSION_STR);
+	about += QString("&nbsp;&nbsp;&nbsp;&nbsp;%1: <b>%2</b><br>").arg(tr("Runtime"), qVersion());
 #else
-	about += QString::fromUtf8("Qt library: <b>%1</b> (static)<br>").arg(QT_VERSION_STR);
+	about += QString("%1: <b>%2</b> (%3)<br>").arg(tr("Qt library"), QT_VERSION_STR, tr("static"));
 #endif // STATIC_BUILD
-	about += QString::fromUtf8("Built on <b>%1</b> at <b>%2</b><br>").arg(__DATE__).arg(__TIME__);
-//	about += "<br>";
-//	about += QString::fromUtf8("Id: <b>"VERSIONID"</b><br>");
-	about += QString::fromUtf8("Algorithm: <b>%1</b><br>").arg(CTSPSolver::getVersionId());
+	about += tr("Buid <b>%1</b>, built on <b>%2</b> at <b>%3</b>").arg(BUILD_NUMBER).arg(__DATE__).arg(__TIME__) + "<br>";
+	about += QString("%1: <b>%2</b><br>").arg(tr("Algorithm"), CTSPSolver::getVersionId());
 	about += "<br>";
-	about += "TSPSG is free software: you can redistribute it and/or modify it<br>"
+	about += tr("TSPSG is free software: you can redistribute it and/or modify it<br>"
 		"under the terms of the GNU General Public License as published<br>"
 		"by the Free Software Foundation, either version 3 of the License,<br>"
@@ -336,36 +345,70 @@
 		"<br>"
 		"You should have received a copy of the GNU General Public License<br>"
-		"along with TSPSG.  If not, see <a href=\"http://www.gnu.org/licenses/\">http://www.gnu.org/licenses/</a>.";
+		"along with TSPSG.  If not, see <a href=\"http://www.gnu.org/licenses/\">http://www.gnu.org/licenses/</a>.");
 
 QDialog *dlg = new QDialog(this);
 QLabel *lblIcon = new QLabel(dlg),
-	*lblTitle = new QLabel(dlg);
+	*lblTitle = new QLabel(dlg),
+	*lblTranslated = new QLabel(dlg);
+#if defined(Q_OS_WINCE) || defined(Q_OS_SYMBIAN)
+QLabel *lblSubTitle = new QLabel(QString("<b>&copy; 2007-%1 Oleksii \"Lёppa\" Serdiuk</b>").arg(QDate::currentDate().toString("yyyy")), dlg);
+#endif // Q_OS_WINCE || Q_OS_SYMBIAN
 QTextBrowser *txtAbout = new QTextBrowser(dlg);
 QVBoxLayout *vb = new QVBoxLayout();
-QHBoxLayout *hb = new QHBoxLayout();
+QHBoxLayout *hb1 = new QHBoxLayout(),
+	*hb2 = new QHBoxLayout();
 QDialogButtonBox *bb = new QDialogButtonBox(QDialogButtonBox::Ok, Qt::Horizontal, dlg);
 
 	lblIcon->setPixmap(QPixmap(":/images/tspsg.png").scaledToWidth(logicalDpiX() * 2 / 3, Qt::SmoothTransformation));
 	lblIcon->setAlignment(Qt::AlignTop);
+#if !defined(Q_OS_WINCE) && !defined(Q_OS_SYMBIAN)
+	lblIcon->setStyleSheet(QString("QLabel {background-color: %1; border-color: %2; border-width: 1px; border-style: solid; border-radius: 3px;}").arg(palette().window().color().name(), palette().windowText().color().name()));
+#endif
+
 	lblTitle->setOpenExternalLinks(true);
 	lblTitle->setText(title);
-
-	hb->addWidget(lblIcon);
-	hb->addWidget(lblTitle);
-	hb->addStretch();
-
-//	txtAbout->setTextInteractionFlags(txtAbout->textInteractionFlags() ^ Qt::TextEditable);
+	lblTitle->setAlignment(Qt::AlignTop);
+	lblTitle->setSizePolicy(QSizePolicy::Expanding, QSizePolicy::Preferred);
+#if !defined(Q_OS_WINCE) && !defined(Q_OS_SYMBIAN)
+	lblTitle->setStyleSheet(QString("QLabel {background-color: %1; border-color: %2; border-width: 1px; border-style: solid; border-radius: 3px;}").arg(palette().window().color().name(), palette().shadow().color().name()));
+#endif
+
+	hb1->addWidget(lblIcon);
+	hb1->addWidget(lblTitle);
+
 	txtAbout->setWordWrapMode(QTextOption::NoWrap);
 	txtAbout->setOpenExternalLinks(true);
 	txtAbout->setHtml(about);
 	txtAbout->moveCursor(QTextCursor::Start);
+#if !defined(Q_OS_WINCE) && !defined(Q_OS_SYMBIAN)
+	txtAbout->setStyleSheet(QString("QTextBrowser {border-color: %1; border-width: 1px; border-style: solid; border-radius: 3px;}").arg(palette().shadow().color().name()));
+#endif
 
 	bb->button(QDialogButtonBox::Ok)->setCursor(QCursor(Qt::PointingHandCursor));
 
-	vb->addLayout(hb);
+	lblTranslated->setText(QApplication::translate("--------", "TRANSLATION", "Please, provide translator credits here."));
+	if (lblTranslated->text() == "TRANSLATION")
+		lblTranslated->hide();
+	else {
+		lblTranslated->setOpenExternalLinks(true);
+#if !defined(Q_OS_WINCE) && !defined(Q_OS_SYMBIAN)
+		lblTranslated->setStyleSheet(QString("QLabel {background-color: %1; border-color: %2; border-width: 1px; border-style: solid; border-radius: 3px;}").arg(palette().window().color().name(), palette().shadow().color().name()));
+#endif
+		hb2->addWidget(lblTranslated);
+	}
+
+	hb2->addWidget(bb);
+
+#if defined(Q_OS_WINCE)
+	vb->setMargin(3);
+#endif
+	vb->addLayout(hb1);
+#if defined(Q_OS_WINCE) || defined(Q_OS_SYMBIAN)
+	vb->addWidget(lblSubTitle);
+#endif // Q_OS_WINCE || Q_OS_SYMBIAN
 	vb->addWidget(txtAbout);
-	vb->addWidget(bb);
-
-	dlg->setWindowFlags(Qt::Dialog | Qt::CustomizeWindowHint | Qt::WindowTitleHint | Qt::WindowCloseButtonHint);
+	vb->addLayout(hb2);
+
+	dlg->setWindowFlags(Qt::Dialog | Qt::CustomizeWindowHint | Qt::WindowTitleHint | Qt::WindowCloseButtonHint | Qt::MSWindowsFixedSizeDialogHint);
 	dlg->setWindowTitle(tr("About TSPSG"));
 	dlg->setLayout(vb);
@@ -380,5 +423,6 @@
 #endif // Q_OS_WIN32
 
-	dlg->resize(450, 400);
+	dlg->resize(450, 350);
+
 	dlg->exec();
 
@@ -825,4 +869,6 @@
 	scrollArea->setWidget(tabWidget);
 	setCentralWidget(scrollArea);
+#else
+	setCentralWidget(tabWidget);
 #endif // Q_OS_WINCE
 
@@ -890,4 +936,7 @@
 {
 #ifdef Q_OS_WIN32
+	toggleStyle(labelVariant, enable);
+	toggleStyle(labelCities, enable);
+	toggleStyle(statusBar(), enable);
 	tabWidget->setDocumentMode(enable);
 	QtWin::enableBlurBehindWindow(this, enable);
Index: src/pch.h
===================================================================
--- src/pch.h	(revision f19df0a3e59b239b43f9fc3eb14d4b05dc41fa10)
+++ src/pch.h	(revision e2abfd326fbc0376081d9298a0ae92600057d629)
@@ -27,14 +27,4 @@
 
 #ifdef __cplusplus
-	// Qt Libraries
-	#include <QtCore>
-	#include <QtGui>
-	#include <QtSvg>
-
-	// Rarely modified parts
-	#include "version.h"
-	#include "os.h"
-	#ifdef Q_OS_WIN32
-		#include "qtwin.h"
-	#endif // Q_OS_WIN32
+	#include "globals.h"
 #endif // __cplusplus
Index: src/settingsdialog.cpp
===================================================================
--- src/settingsdialog.cpp	(revision f19df0a3e59b239b43f9fc3eb14d4b05dc41fa10)
+++ src/settingsdialog.cpp	(revision e2abfd326fbc0376081d9298a0ae92600057d629)
@@ -71,5 +71,5 @@
 	vbox1->addWidget(bgGrey);
 	setLayout(vbox1);
-#else
+#else // Q_OS_WINCE || Q_OS_SYMBIAN
 	// Layout helper elements
 QVBoxLayout *vbox1, *vbox2;
Index: src/tspsolver.cpp
===================================================================
--- src/tspsolver.cpp	(revision f19df0a3e59b239b43f9fc3eb14d4b05dc41fa10)
+++ src/tspsolver.cpp	(revision e2abfd326fbc0376081d9298a0ae92600057d629)
@@ -326,2 +326,12 @@
 			matrix[nRow][k] -= val;
 }
+
+QDebug operator<<(QDebug dbg, const TMatrix &matrix)
+{
+	for (int r = 0; r < matrix.count(); r++) {
+		for (int c = 0; c < matrix.at(r).count(); c++)
+			dbg.space() << matrix.at(r).at(c);
+		dbg << endl;
+	}
+	return dbg;
+}
Index: src/tspsolver.h
===================================================================
--- src/tspsolver.h	(revision f19df0a3e59b239b43f9fc3eb14d4b05dc41fa10)
+++ src/tspsolver.h	(revision e2abfd326fbc0376081d9298a0ae92600057d629)
@@ -108,3 +108,7 @@
 };
 
+#ifdef DEBUG
+QDebug operator<<(QDebug dbg, const TMatrix &matrix);
+#endif
+
 #endif // TSPSOLVER_H
Index: src/version.h
===================================================================
--- src/version.h	(revision f19df0a3e59b239b43f9fc3eb14d4b05dc41fa10)
+++ src/version.h	(revision e2abfd326fbc0376081d9298a0ae92600057d629)
@@ -58,23 +58,11 @@
 	#define BUILD_VERSION_MINOR 0
 #endif // BUILD_VERSION_MINOR
-/*!
- * \brief TSPSG release number
- *
- *  Release number meanings:
- *    - 1  --  3: <b>alpha</b> 1 to 3
- *    - 4  --  7: <b>beta</b> 1 to 4
- *    - 8  -- 10: <b>rc</b> 1 to 3
- *    - 11 --  x: <b>release</b> 1 to x-10
- */
 #ifndef BUILD_RELEASE
+	//! TSPSG release number
 	#define BUILD_RELEASE 0
 #endif // BUILD_RELEASE
 
-/*!
- * \brief Current TSPSG build number
- *
- *  This will only change on releases and will be the same as revision number.
- */
 #ifndef BUILD_NUMBER
+	//! Current TSPSG build number
 	#define BUILD_NUMBER 0
 #endif // BUILD_NUMBER
@@ -83,15 +71,9 @@
  * \def BUILD_STATUS
  * \brief TSPSG build status
- *
- * Determined based on BUILD_NUMBER and BUILD_RELEASE.
  */
-#ifndef TSPSG_RELEASE_BUILD
+#if !defined(TSPSG_RELEASE_BUILD)
 	#define BUILD_STATUS (dev build)
-#elif BUILD_RELEASE < 4
-	#define BUILD_STATUS (alpha)
-#elif BUILD_RELEASE < 8
-	#define BUILD_STATUS (beta)
-#elif BUILD_RELEASE < 11
-	#define BUILD_STATUS (rc)
+#elif !defined(BUILD_STATUS)
+	#define BUILD_STATUS (build BUILD_NUMBER)
 #endif // TSPSG_RELEASE_BUILD
 
@@ -101,13 +83,6 @@
 #define QUOTE(x) QUOTE_X(x)
 
-/*!
- * \def BUILD_VERSION
- * \brief Full version of TSPSG in the form: \c major.minor.release.build [\c status].
- */
-#ifndef BUILD_STATUS
-	#define BUILD_VERSION QUOTE(BUILD_VERSION_MAJOR.BUILD_VERSION_MINOR.BUILD_RELEASE.BUILD_NUMBER)
-#else
-	#define BUILD_VERSION QUOTE(BUILD_VERSION_MAJOR.BUILD_VERSION_MINOR.BUILD_RELEASE.BUILD_NUMBER BUILD_STATUS)
-#endif
+//! Full version of TSPSG in the form: \c major.minor.release.build \c status.
+#define BUILD_VERSION QUOTE(BUILD_VERSION_MAJOR.BUILD_VERSION_MINOR.BUILD_RELEASE BUILD_STATUS)
 
 #endif // VERSION_H
Index: tspsg.pri
===================================================================
--- tspsg.pri	(revision f19df0a3e59b239b43f9fc3eb14d4b05dc41fa10)
+++ tspsg.pri	(revision e2abfd326fbc0376081d9298a0ae92600057d629)
@@ -25,4 +25,5 @@
 #Source files
 SOURCES += src/main.cpp \
+	src/globals.cpp \
 	src/mainwindow.cpp \
 	src/settingsdialog.cpp \
Index: tspsg.pro
===================================================================
--- tspsg.pro	(revision f19df0a3e59b239b43f9fc3eb14d4b05dc41fa10)
+++ tspsg.pro	(revision e2abfd326fbc0376081d9298a0ae92600057d629)
@@ -11,5 +11,5 @@
 ######################################################################
 
-QT += svg
+#QT += svg
 
 TEMPLATE = app
@@ -23,6 +23,7 @@
 BUILD_RELEASE = 2
 
-# This one is only defined on releases
+# These are only defined on releases
 #DEFINES += TSPSG_RELEASE_BUILD
+#DEFINES += BUILD_STATUS="\"(alpha 2)\""
 
 REVISION = $$system(svnversion)
@@ -46,5 +47,5 @@
 contains(QMAKE_PRL_CONFIG, static) {
 # We "embed" SVG and JPEG support on static build
-	QTPLUGIN += qjpeg qsvg
+#	QTPLUGIN += qjpeg qsvg
 	DEFINES += STATIC_BUILD
 }
@@ -53,8 +54,10 @@
 	OBJECTS_DIR = release
 	DESTDIR = release
+	D = d
 } else {
 	OBJECTS_DIR = debug
 	DESTDIR = debug
 	DEFINES += DEBUG
+	D =
 }
 
@@ -90,8 +93,8 @@
 	l10n.path = $$PREFIX/share/TSPSG/l10n
 	docs.path = $$PREFIX/share/doc/TSPSG-$$VERSION
+	apps.files = resources/tspsg.desktop
 	apps.path = $$PREFIX/share/applications/
-	apps.files = resources/tspsg.desktop
+	icon.files = resources/tspsg.png
 	icon.path = $$PREFIX/share/pixmaps
-	icon.files = resources/tspsg.png
 	INSTALLS += apps icon
 }
@@ -99,15 +102,13 @@
 # TODO: MacOSX
 
-# For win32: everything goes to "C:\Program Files\TSPSG" and subfolders.
+# For win32: everything goes to "%PROGRAMFILES%\TSPSG" and subfolders.
 win32 {
-	PREFIX = "C:\Program Files"
+	PREFIX = "$$(PROGRAMFILES)"
 
-	CONFIG(release, debug|release) {
-		imageformats.files = $$[QT_INSTALL_PLUGINS]/imageformats/qsvg4.dll \
-			$$[QT_INSTALL_PLUGINS]/imageformats/qjpeg4.dll
-	} else {
-		imageformats.files = $$[QT_INSTALL_PLUGINS]/imageformats/qsvgd4.dll \
-			$$[QT_INSTALL_PLUGINS]/imageformats/qjpegd4.dll
-	}
+	share.files = $$[QT_INSTALL_LIBS]/QtCore$${D}4.dll \
+		$$[QT_INSTALL_LIBS]/QtGui$${D}4.dll \
+		$$[QT_INSTALL_LIBS]/QtSvg$${D}4.dll
+	imageformats.files = $$[QT_INSTALL_PLUGINS]/imageformats/qsvg$${D}4.dll \
+		$$[QT_INSTALL_PLUGINS]/imageformats/qjpeg$${D}4.dll
 	imageformats.path = $$PREFIX/TSPSG/imageformats
 	INSTALLS += imageformats
@@ -117,6 +118,10 @@
 wince {
 	PREFIX = "\Program Files"
+	share.sources = $$share.files
+	l10n.sources = $$l10n.files
+	docs.sources = $$docs.files
+
 	DEPLOYMENT += target share l10n docs
-	DEPLOYMENT_PLUGIN += qjpeg qsvg
+#	DEPLOYMENT_PLUGIN += qjpeg qsvg
 }
 
@@ -133,15 +138,19 @@
 # Symbian
 symbian {
+	# qmake for Symbian (as of Qt 4.6.2) has a bug: file masks doesn't work, so we need to specify all files manually
+	share.sources = $$share.files
+	l10n.sources = l10n/qt_ru.qm l10n/qt_uk.qm l10n/tspsg_en.qm l10n/tspsg_ru.qm l10n/tspsg_uk.qm
 	l10n.path = l10n
+	docs.sources = $$docs.files
 	docs.pkg_prerules = \
 		"\"README\" - \"\", FILETEXT, TEXTCONTINUE" \
 		"\"COPYING\" - \"\", FILETEXT, TEXTEXIT"
 	DEPLOYMENT += share l10n docs
-	DEPLOYMENT_PLUGIN += qjpeg qsvg
+#	DEPLOYMENT_PLUGIN += qjpeg qsvg
 
 	ICON = resources/tspsg.svg
 
 	appinfo = \
-		"$$LITERAL_HASH{\"TSPSG\"},(0xEb9dce0e),0,1,2"
+		"$$LITERAL_HASH{\"TSPSG\"},(0xEb9dce0e),$$BUILD_VERSION_MAJOR,$$BUILD_VERSION_MINOR,$$BUILD_RELEASE"
 	vendorinfo = \
 		"%{\"l-homes.org\"}" \
Index: ui/mainwindow.ui
===================================================================
--- ui/mainwindow.ui	(revision f19df0a3e59b239b43f9fc3eb14d4b05dc41fa10)
+++ ui/mainwindow.ui	(revision e2abfd326fbc0376081d9298a0ae92600057d629)
@@ -6,8 +6,8 @@
   <property name="geometry">
    <rect>
-    <x>0</x>
-    <y>0</y>
-    <width>550</width>
-    <height>500</height>
+	<x>0</x>
+	<y>0</y>
+	<width>550</width>
+	<height>450</height>
    </rect>
   </property>
@@ -17,306 +17,306 @@
   <property name="windowIcon">
    <iconset resource="../resources/tspsg.qrc">
-    <normaloff>:/images/tspsg.png</normaloff>:/images/tspsg.png</iconset>
+	<normaloff>:/images/tspsg.png</normaloff>:/images/tspsg.png</iconset>
   </property>
   <widget class="QTabWidget" name="tabWidget">
    <property name="tabPosition">
-    <enum>QTabWidget::North</enum>
+	<enum>QTabWidget::North</enum>
    </property>
    <widget class="QWidget" name="tabTask">
-    <attribute name="title">
-     <string>Task</string>
-    </attribute>
-    <layout class="QVBoxLayout" name="_2">
-     <item>
-      <layout class="QHBoxLayout">
-       <item>
-        <spacer>
-         <property name="orientation">
-          <enum>Qt::Horizontal</enum>
-         </property>
-         <property name="sizeHint" stdset="0">
-          <size>
-           <width>40</width>
-           <height>20</height>
-          </size>
-         </property>
-        </spacer>
-       </item>
-       <item>
-        <widget class="QLabel" name="labelVariant">
-         <property name="text">
-          <string>&amp;Variant:</string>
-         </property>
-         <property name="buddy">
-          <cstring>spinVariant</cstring>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <widget class="QSpinBox" name="spinVariant">
-         <property name="cursor">
-          <cursorShape>PointingHandCursor</cursorShape>
-         </property>
-         <property name="statusTip">
-          <string>Number of variant</string>
-         </property>
-         <property name="minimum">
-          <number>1</number>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <widget class="QLabel" name="labelCities">
-         <property name="text">
-          <string>&amp;Cities:</string>
-         </property>
-         <property name="buddy">
-          <cstring>spinCities</cstring>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <widget class="QSpinBox" name="spinCities">
-         <property name="cursor">
-          <cursorShape>PointingHandCursor</cursorShape>
-         </property>
-         <property name="statusTip">
-          <string>Number of cities</string>
-         </property>
-         <property name="minimum">
-          <number>3</number>
-         </property>
-         <property name="value">
-          <number>5</number>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <spacer>
-         <property name="orientation">
-          <enum>Qt::Horizontal</enum>
-         </property>
-         <property name="sizeHint" stdset="0">
-          <size>
-           <width>40</width>
-           <height>20</height>
-          </size>
-         </property>
-        </spacer>
-       </item>
-      </layout>
-     </item>
-     <item>
-      <widget class="QTableView" name="taskView">
-       <property name="statusTip">
-        <string>Cost of travel from city to city</string>
-       </property>
-       <property name="selectionMode">
-        <enum>QAbstractItemView::NoSelection</enum>
-       </property>
-      </widget>
-     </item>
-     <item>
-      <layout class="QHBoxLayout">
-       <item>
-        <spacer>
-         <property name="orientation">
-          <enum>Qt::Horizontal</enum>
-         </property>
-         <property name="sizeHint" stdset="0">
-          <size>
-           <width>40</width>
-           <height>20</height>
-          </size>
-         </property>
-        </spacer>
-       </item>
-       <item>
-        <widget class="QPushButton" name="buttonRandom">
-         <property name="cursor">
-          <cursorShape>PointingHandCursor</cursorShape>
-         </property>
-         <property name="statusTip">
-          <string>Fill table with random numbers</string>
-         </property>
-         <property name="text">
-          <string>Random</string>
-         </property>
-         <property name="icon">
-          <iconset resource="../resources/tspsg.qrc">
-           <normaloff>:/images/icons/roll.png</normaloff>:/images/icons/roll.png</iconset>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <widget class="QPushButton" name="buttonSolve">
-         <property name="cursor">
-          <cursorShape>PointingHandCursor</cursorShape>
-         </property>
-         <property name="statusTip">
-          <string>Solve current task</string>
-         </property>
-         <property name="text">
-          <string>Solve</string>
-         </property>
-         <property name="icon">
-          <iconset resource="../resources/tspsg.qrc">
-           <normaloff>:/images/icons/button_ok.png</normaloff>:/images/icons/button_ok.png</iconset>
-         </property>
-        </widget>
-       </item>
-      </layout>
-     </item>
-    </layout>
+	<attribute name="title">
+	 <string>Task</string>
+	</attribute>
+	<layout class="QVBoxLayout" name="_2">
+	 <item>
+	  <layout class="QHBoxLayout" name="_4">
+	   <item>
+		<spacer name="spacer">
+		 <property name="orientation">
+		  <enum>Qt::Horizontal</enum>
+		 </property>
+		 <property name="sizeHint" stdset="0">
+		  <size>
+		   <width>40</width>
+		   <height>20</height>
+		  </size>
+		 </property>
+		</spacer>
+	   </item>
+	   <item>
+		<widget class="QLabel" name="labelVariant">
+		 <property name="text">
+		  <string>&amp;Variant:</string>
+		 </property>
+		 <property name="buddy">
+		  <cstring>spinVariant</cstring>
+		 </property>
+		</widget>
+	   </item>
+	   <item>
+		<widget class="QSpinBox" name="spinVariant">
+		 <property name="cursor">
+		  <cursorShape>PointingHandCursor</cursorShape>
+		 </property>
+		 <property name="statusTip">
+		  <string>Number of variant</string>
+		 </property>
+		 <property name="minimum">
+		  <number>1</number>
+		 </property>
+		</widget>
+	   </item>
+	   <item>
+		<widget class="QLabel" name="labelCities">
+		 <property name="text">
+		  <string>&amp;Cities:</string>
+		 </property>
+		 <property name="buddy">
+		  <cstring>spinCities</cstring>
+		 </property>
+		</widget>
+	   </item>
+	   <item>
+		<widget class="QSpinBox" name="spinCities">
+		 <property name="cursor">
+		  <cursorShape>PointingHandCursor</cursorShape>
+		 </property>
+		 <property name="statusTip">
+		  <string>Number of cities</string>
+		 </property>
+		 <property name="minimum">
+		  <number>3</number>
+		 </property>
+		 <property name="value">
+		  <number>5</number>
+		 </property>
+		</widget>
+	   </item>
+	   <item>
+		<spacer name="spacer_2">
+		 <property name="orientation">
+		  <enum>Qt::Horizontal</enum>
+		 </property>
+		 <property name="sizeHint" stdset="0">
+		  <size>
+		   <width>40</width>
+		   <height>20</height>
+		  </size>
+		 </property>
+		</spacer>
+	   </item>
+	  </layout>
+	 </item>
+	 <item>
+	  <widget class="QTableView" name="taskView">
+	   <property name="statusTip">
+		<string>Cost of travel from city to city</string>
+	   </property>
+	   <property name="selectionMode">
+		<enum>QAbstractItemView::NoSelection</enum>
+	   </property>
+	  </widget>
+	 </item>
+	 <item>
+	  <layout class="QHBoxLayout" name="_5">
+	   <item>
+		<spacer name="spacer_3">
+		 <property name="orientation">
+		  <enum>Qt::Horizontal</enum>
+		 </property>
+		 <property name="sizeHint" stdset="0">
+		  <size>
+		   <width>40</width>
+		   <height>20</height>
+		  </size>
+		 </property>
+		</spacer>
+	   </item>
+	   <item>
+		<widget class="QPushButton" name="buttonRandom">
+		 <property name="cursor">
+		  <cursorShape>PointingHandCursor</cursorShape>
+		 </property>
+		 <property name="statusTip">
+		  <string>Fill table with random numbers</string>
+		 </property>
+		 <property name="text">
+		  <string>Random</string>
+		 </property>
+		 <property name="icon">
+		  <iconset resource="../resources/tspsg.qrc">
+		   <normaloff>:/images/icons/roll.png</normaloff>:/images/icons/roll.png</iconset>
+		 </property>
+		</widget>
+	   </item>
+	   <item>
+		<widget class="QPushButton" name="buttonSolve">
+		 <property name="cursor">
+		  <cursorShape>PointingHandCursor</cursorShape>
+		 </property>
+		 <property name="statusTip">
+		  <string>Solve current task</string>
+		 </property>
+		 <property name="text">
+		  <string>Solve</string>
+		 </property>
+		 <property name="icon">
+		  <iconset resource="../resources/tspsg.qrc">
+		   <normaloff>:/images/icons/button_ok.png</normaloff>:/images/icons/button_ok.png</iconset>
+		 </property>
+		</widget>
+	   </item>
+	  </layout>
+	 </item>
+	</layout>
    </widget>
    <widget class="QWidget" name="tabSolution">
-    <attribute name="title">
-     <string>Solution</string>
-    </attribute>
-    <layout class="QVBoxLayout" name="_3">
-     <item>
-      <widget class="QTextEdit" name="solutionText">
-       <property name="enabled">
-        <bool>false</bool>
-       </property>
-       <property name="statusTip">
-        <string>Solution steps</string>
-       </property>
-       <property name="readOnly">
-        <bool>true</bool>
-       </property>
-       <property name="textInteractionFlags">
-        <set>Qt::TextSelectableByKeyboard|Qt::TextSelectableByMouse</set>
-       </property>
-      </widget>
-     </item>
-     <item>
-      <layout class="QHBoxLayout" name="horizontalLayout">
-       <item>
-        <widget class="QPushButton" name="buttonSaveSolution">
-         <property name="enabled">
-          <bool>false</bool>
-         </property>
-         <property name="cursor">
-          <cursorShape>PointingHandCursor</cursorShape>
-         </property>
-         <property name="statusTip">
-          <string>Save solution to a file</string>
-         </property>
-         <property name="text">
-          <string>Save Solution</string>
-         </property>
-         <property name="icon">
-          <iconset resource="../resources/tspsg.qrc">
-           <normaloff>:/images/icons/filesaveas.png</normaloff>:/images/icons/filesaveas.png</iconset>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <spacer name="horizontalSpacer">
-         <property name="orientation">
-          <enum>Qt::Horizontal</enum>
-         </property>
-         <property name="sizeHint" stdset="0">
-          <size>
-           <width>40</width>
-           <height>20</height>
-          </size>
-         </property>
-        </spacer>
-       </item>
-       <item>
-        <widget class="QPushButton" name="buttonBackToTask">
-         <property name="cursor">
-          <cursorShape>PointingHandCursor</cursorShape>
-         </property>
-         <property name="statusTip">
-          <string>Go back to Task tab</string>
-         </property>
-         <property name="text">
-          <string>Back to Task</string>
-         </property>
-         <property name="icon">
-          <iconset resource="../resources/tspsg.qrc">
-           <normaloff>:/images/icons/back.png</normaloff>:/images/icons/back.png</iconset>
-         </property>
-        </widget>
-       </item>
-      </layout>
-     </item>
-    </layout>
+	<attribute name="title">
+	 <string>Solution</string>
+	</attribute>
+	<layout class="QVBoxLayout" name="_3">
+	 <item>
+	  <widget class="QTextEdit" name="solutionText">
+	   <property name="enabled">
+		<bool>false</bool>
+	   </property>
+	   <property name="statusTip">
+		<string>Solution steps</string>
+	   </property>
+	   <property name="readOnly">
+		<bool>true</bool>
+	   </property>
+	   <property name="textInteractionFlags">
+		<set>Qt::TextSelectableByKeyboard|Qt::TextSelectableByMouse</set>
+	   </property>
+	  </widget>
+	 </item>
+	 <item>
+	  <layout class="QHBoxLayout" name="_6">
+	   <item>
+		<widget class="QPushButton" name="buttonSaveSolution">
+		 <property name="enabled">
+		  <bool>false</bool>
+		 </property>
+		 <property name="cursor">
+		  <cursorShape>PointingHandCursor</cursorShape>
+		 </property>
+		 <property name="statusTip">
+		  <string>Save solution to a file</string>
+		 </property>
+		 <property name="text">
+		  <string>Save Solution</string>
+		 </property>
+		 <property name="icon">
+		  <iconset resource="../resources/tspsg.qrc">
+		   <normaloff>:/images/icons/filesaveas.png</normaloff>:/images/icons/filesaveas.png</iconset>
+		 </property>
+		</widget>
+	   </item>
+	   <item>
+		<spacer name="spacer_4">
+		 <property name="orientation">
+		  <enum>Qt::Horizontal</enum>
+		 </property>
+		 <property name="sizeHint" stdset="0">
+		  <size>
+		   <width>40</width>
+		   <height>20</height>
+		  </size>
+		 </property>
+		</spacer>
+	   </item>
+	   <item>
+		<widget class="QPushButton" name="buttonBackToTask">
+		 <property name="cursor">
+		  <cursorShape>PointingHandCursor</cursorShape>
+		 </property>
+		 <property name="statusTip">
+		  <string>Go back to Task tab</string>
+		 </property>
+		 <property name="text">
+		  <string>Back to Task</string>
+		 </property>
+		 <property name="icon">
+		  <iconset resource="../resources/tspsg.qrc">
+		   <normaloff>:/images/icons/back.png</normaloff>:/images/icons/back.png</iconset>
+		 </property>
+		</widget>
+	   </item>
+	  </layout>
+	 </item>
+	</layout>
    </widget>
   </widget>
   <widget class="QMenuBar" name="menubar">
    <property name="geometry">
-    <rect>
-     <x>0</x>
-     <y>0</y>
-     <width>550</width>
-     <height>21</height>
-    </rect>
+	<rect>
+	 <x>0</x>
+	 <y>0</y>
+	 <width>550</width>
+	 <height>21</height>
+	</rect>
    </property>
    <widget class="QMenu" name="menuFile">
-    <property name="windowIcon">
-     <iconset>
-      <normaloff/>
-     </iconset>
-    </property>
-    <property name="title">
-     <string>&amp;File</string>
-    </property>
-    <widget class="QMenu" name="menuFileSaveAs">
-     <property name="title">
-      <string>Save &amp;As</string>
-     </property>
-     <property name="icon">
-      <iconset resource="../resources/tspsg.qrc">
-       <normaloff>:/images/icons/filesaveas.png</normaloff>:/images/icons/filesaveas.png</iconset>
-     </property>
-     <addaction name="actionFileSaveAsTask"/>
-     <addaction name="actionFileSaveAsSolution"/>
-    </widget>
-    <addaction name="actionFileNew"/>
-    <addaction name="actionFileOpen"/>
-    <addaction name="actionFileSave"/>
-    <addaction name="menuFileSaveAs"/>
-    <addaction name="separator"/>
-    <addaction name="actionFileExit"/>
+	<property name="windowIcon">
+	 <iconset>
+	  <normaloff/>
+	 </iconset>
+	</property>
+	<property name="title">
+	 <string>&amp;File</string>
+	</property>
+	<widget class="QMenu" name="menuFileSaveAs">
+	 <property name="title">
+	  <string>Save &amp;As</string>
+	 </property>
+	 <property name="icon">
+	  <iconset resource="../resources/tspsg.qrc">
+	   <normaloff>:/images/icons/filesaveas.png</normaloff>:/images/icons/filesaveas.png</iconset>
+	 </property>
+	 <addaction name="actionFileSaveAsTask"/>
+	 <addaction name="actionFileSaveAsSolution"/>
+	</widget>
+	<addaction name="actionFileNew"/>
+	<addaction name="actionFileOpen"/>
+	<addaction name="actionFileSave"/>
+	<addaction name="menuFileSaveAs"/>
+	<addaction name="separator"/>
+	<addaction name="actionFileExit"/>
    </widget>
    <widget class="QMenu" name="menuSettings">
-    <property name="title">
-     <string>&amp;Settings</string>
-    </property>
-    <widget class="QMenu" name="menuSettingsLanguage">
-     <property name="toolTip">
-      <string>Select language</string>
-     </property>
-     <property name="statusTip">
-      <string>Select application language</string>
-     </property>
-     <property name="title">
-      <string comment="Please, append &quot; / Language&quot; when translating this string.">&amp;Language</string>
-     </property>
-     <property name="icon">
-      <iconset resource="../resources/tspsg.qrc">
-       <normaloff>:/images/icons/locale.png</normaloff>:/images/icons/locale.png</iconset>
-     </property>
-     <addaction name="actionSettingsLanguageAutodetect"/>
-     <addaction name="separator"/>
-     <addaction name="actionSettingsLanguageEnglish"/>
-    </widget>
-    <addaction name="menuSettingsLanguage"/>
-    <addaction name="separator"/>
-    <addaction name="actionSettingsPreferences"/>
+	<property name="title">
+	 <string>&amp;Settings</string>
+	</property>
+	<widget class="QMenu" name="menuSettingsLanguage">
+	 <property name="toolTip">
+	  <string>Select language</string>
+	 </property>
+	 <property name="statusTip">
+	  <string>Select application language</string>
+	 </property>
+	 <property name="title">
+	  <string comment="Please, append &quot; / Language&quot; when translating this string.">&amp;Language</string>
+	 </property>
+	 <property name="icon">
+	  <iconset resource="../resources/tspsg.qrc">
+	   <normaloff>:/images/icons/locale.png</normaloff>:/images/icons/locale.png</iconset>
+	 </property>
+	 <addaction name="actionSettingsLanguageAutodetect"/>
+	 <addaction name="separator"/>
+	 <addaction name="actionSettingsLanguageEnglish"/>
+	</widget>
+	<addaction name="menuSettingsLanguage"/>
+	<addaction name="separator"/>
+	<addaction name="actionSettingsPreferences"/>
    </widget>
    <widget class="QMenu" name="menuHelp">
-    <property name="title">
-     <string>&amp;Help</string>
-    </property>
-    <addaction name="actionHelpContents"/>
-    <addaction name="actionHelpContextual"/>
-    <addaction name="separator"/>
-    <addaction name="actionHelpAboutQt"/>
-    <addaction name="actionHelpAbout"/>
+	<property name="title">
+	 <string>&amp;Help</string>
+	</property>
+	<addaction name="actionHelpContents"/>
+	<addaction name="actionHelpContextual"/>
+	<addaction name="separator"/>
+	<addaction name="actionHelpAboutQt"/>
+	<addaction name="actionHelpAbout"/>
    </widget>
    <addaction name="menuFile"/>
@@ -326,14 +326,14 @@
   <widget class="QToolBar" name="toolBar">
    <property name="cursor">
-    <cursorShape>ArrowCursor</cursorShape>
+	<cursorShape>ArrowCursor</cursorShape>
    </property>
    <property name="windowTitle">
-    <string>Toolbar</string>
+	<string>Toolbar</string>
    </property>
    <attribute name="toolBarArea">
-    <enum>TopToolBarArea</enum>
+	<enum>TopToolBarArea</enum>
    </attribute>
    <attribute name="toolBarBreak">
-    <bool>false</bool>
+	<bool>false</bool>
    </attribute>
    <addaction name="actionFileNew"/>
@@ -347,194 +347,194 @@
   <action name="actionFileSaveAsSolution">
    <property name="enabled">
-    <bool>false</bool>
-   </property>
-   <property name="text">
-    <string>&amp;Solution...</string>
+	<bool>false</bool>
+   </property>
+   <property name="text">
+	<string>&amp;Solution...</string>
    </property>
    <property name="toolTip">
-    <string>Save solution</string>
-   </property>
-   <property name="statusTip">
-    <string>Save solution to a file</string>
+	<string>Save solution</string>
+   </property>
+   <property name="statusTip">
+	<string>Save solution to a file</string>
    </property>
   </action>
   <action name="actionFileNew">
    <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/filenew.png</normaloff>:/images/icons/filenew.png</iconset>
-   </property>
-   <property name="text">
-    <string>&amp;New</string>
+	<iconset resource="../resources/tspsg.qrc">
+	 <normaloff>:/images/icons/filenew.png</normaloff>:/images/icons/filenew.png</iconset>
+   </property>
+   <property name="text">
+	<string>&amp;New</string>
    </property>
    <property name="toolTip">
-    <string>New task</string>
-   </property>
-   <property name="statusTip">
-    <string>Create new task</string>
+	<string>New task</string>
+   </property>
+   <property name="statusTip">
+	<string>Create new task</string>
    </property>
    <property name="shortcut">
-    <string>Ctrl+N</string>
+	<string>Ctrl+N</string>
    </property>
   </action>
   <action name="actionFileOpen">
    <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/fileopen.png</normaloff>:/images/icons/fileopen.png</iconset>
-   </property>
-   <property name="text">
-    <string>&amp;Open...</string>
+	<iconset resource="../resources/tspsg.qrc">
+	 <normaloff>:/images/icons/fileopen.png</normaloff>:/images/icons/fileopen.png</iconset>
+   </property>
+   <property name="text">
+	<string>&amp;Open...</string>
    </property>
    <property name="toolTip">
-    <string>Open task</string>
-   </property>
-   <property name="statusTip">
-    <string>Open saved task</string>
+	<string>Open task</string>
+   </property>
+   <property name="statusTip">
+	<string>Open saved task</string>
    </property>
    <property name="shortcut">
-    <string>Ctrl+O</string>
+	<string>Ctrl+O</string>
    </property>
   </action>
   <action name="actionSettingsPreferences">
    <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/preferences_system.png</normaloff>:/images/icons/preferences_system.png</iconset>
-   </property>
-   <property name="text">
-    <string>&amp;Preferences...</string>
-   </property>
-   <property name="statusTip">
-    <string>Application preferences</string>
+	<iconset resource="../resources/tspsg.qrc">
+	 <normaloff>:/images/icons/preferences_system.png</normaloff>:/images/icons/preferences_system.png</iconset>
+   </property>
+   <property name="text">
+	<string>&amp;Preferences...</string>
+   </property>
+   <property name="statusTip">
+	<string>Application preferences</string>
    </property>
   </action>
   <action name="actionHelpContents">
    <property name="enabled">
-    <bool>false</bool>
-   </property>
-   <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/contents.png</normaloff>:/images/icons/contents.png</iconset>
-   </property>
-   <property name="text">
-    <string>&amp;Contents</string>
-   </property>
-   <property name="statusTip">
-    <string>Open help contents</string>
+	<bool>false</bool>
+   </property>
+   <property name="icon">
+	<iconset resource="../resources/tspsg.qrc">
+	 <normaloff>:/images/icons/contents.png</normaloff>:/images/icons/contents.png</iconset>
+   </property>
+   <property name="text">
+	<string>&amp;Contents</string>
+   </property>
+   <property name="statusTip">
+	<string>Open help contents</string>
    </property>
    <property name="shortcut">
-    <string>Ctrl+F1</string>
+	<string>Ctrl+F1</string>
    </property>
   </action>
   <action name="actionHelpContextual">
    <property name="enabled">
-    <bool>false</bool>
-   </property>
-   <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/help_browser.png</normaloff>:/images/icons/help_browser.png</iconset>
-   </property>
-   <property name="text">
-    <string>Context &amp;Help</string>
-   </property>
-   <property name="statusTip">
-    <string>Open context help</string>
+	<bool>false</bool>
+   </property>
+   <property name="icon">
+	<iconset resource="../resources/tspsg.qrc">
+	 <normaloff>:/images/icons/help_browser.png</normaloff>:/images/icons/help_browser.png</iconset>
+   </property>
+   <property name="text">
+	<string>Context &amp;Help</string>
+   </property>
+   <property name="statusTip">
+	<string>Open context help</string>
    </property>
    <property name="shortcut">
-    <string>F1</string>
+	<string>F1</string>
    </property>
   </action>
   <action name="actionHelpAbout">
    <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/help_about.png</normaloff>:/images/icons/help_about.png</iconset>
-   </property>
-   <property name="text">
-    <string>&amp;About TSPSG...</string>
-   </property>
-   <property name="statusTip">
-    <string>About application</string>
+	<iconset resource="../resources/tspsg.qrc">
+	 <normaloff>:/images/icons/help_about.png</normaloff>:/images/icons/help_about.png</iconset>
+   </property>
+   <property name="text">
+	<string>&amp;About TSPSG...</string>
+   </property>
+   <property name="statusTip">
+	<string>About application</string>
    </property>
   </action>
   <action name="actionFileExit">
    <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/exit.png</normaloff>:/images/icons/exit.png</iconset>
-   </property>
-   <property name="text">
-    <string>E&amp;xit</string>
-   </property>
-   <property name="statusTip">
-    <string>Exit application</string>
+	<iconset resource="../resources/tspsg.qrc">
+	 <normaloff>:/images/icons/exit.png</normaloff>:/images/icons/exit.png</iconset>
+   </property>
+   <property name="text">
+	<string>E&amp;xit</string>
+   </property>
+   <property name="statusTip">
+	<string>Exit application</string>
    </property>
   </action>
   <action name="actionFileSaveAsTask">
    <property name="text">
-    <string>&amp;Task...</string>
+	<string>&amp;Task...</string>
    </property>
    <property name="toolTip">
-    <string>Save task</string>
-   </property>
-   <property name="statusTip">
-    <string>Save task to file</string>
+	<string>Save task</string>
+   </property>
+   <property name="statusTip">
+	<string>Save task to file</string>
    </property>
   </action>
   <action name="actionSettingsLanguageAutodetect">
    <property name="checkable">
-    <bool>true</bool>
+	<bool>true</bool>
    </property>
    <property name="checked">
-    <bool>true</bool>
-   </property>
-   <property name="text">
-    <string>&amp;Autodetect</string>
+	<bool>true</bool>
+   </property>
+   <property name="text">
+	<string>&amp;Autodetect</string>
    </property>
    <property name="toolTip">
-    <string>Detect language automatically</string>
-   </property>
-   <property name="statusTip">
-    <string>Detect language automatically based on regional settings</string>
+	<string>Detect language automatically</string>
+   </property>
+   <property name="statusTip">
+	<string>Detect language automatically based on regional settings</string>
    </property>
   </action>
   <action name="actionSettingsLanguageEnglish">
    <property name="checkable">
-    <bool>true</bool>
+	<bool>true</bool>
    </property>
    <property name="checked">
-    <bool>true</bool>
-   </property>
-   <property name="text">
-    <string notr="true">&amp;English</string>
+	<bool>true</bool>
+   </property>
+   <property name="text">
+	<string notr="true">&amp;English</string>
    </property>
    <property name="iconText">
-    <string notr="true">English</string>
+	<string notr="true">English</string>
    </property>
   </action>
   <action name="actionFileSave">
    <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/filesave.png</normaloff>:/images/icons/filesave.png</iconset>
-   </property>
-   <property name="text">
-    <string>&amp;Save</string>
+	<iconset resource="../resources/tspsg.qrc">
+	 <normaloff>:/images/icons/filesave.png</normaloff>:/images/icons/filesave.png</iconset>
+   </property>
+   <property name="text">
+	<string>&amp;Save</string>
    </property>
    <property name="toolTip">
-    <string>Save task</string>
-   </property>
-   <property name="statusTip">
-    <string>Save current task</string>
+	<string>Save task</string>
+   </property>
+   <property name="statusTip">
+	<string>Save current task</string>
    </property>
    <property name="shortcut">
-    <string>Ctrl+S</string>
+	<string>Ctrl+S</string>
    </property>
   </action>
   <action name="actionHelpAboutQt">
    <property name="icon">
-    <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/qtlogo-64.png</normaloff>:/images/icons/qtlogo-64.png</iconset>
-   </property>
-   <property name="text">
-    <string>About &amp;Qt...</string>
-   </property>
-   <property name="statusTip">
-    <string>About Qt library</string>
+	<iconset resource="../resources/tspsg.qrc">
+	 <normaloff>:/images/icons/qtlogo-64.png</normaloff>:/images/icons/qtlogo-64.png</iconset>
+   </property>
+   <property name="text">
+	<string>About &amp;Qt...</string>
+   </property>
+   <property name="statusTip">
+	<string>About Qt library</string>
    </property>
   </action>
@@ -550,12 +550,12 @@
    <slot>close()</slot>
    <hints>
-    <hint type="sourcelabel">
-     <x>-1</x>
-     <y>-1</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>294</x>
-     <y>229</y>
-    </hint>
+	<hint type="sourcelabel">
+	 <x>-1</x>
+	 <y>-1</y>
+	</hint>
+	<hint type="destinationlabel">
+	 <x>294</x>
+	 <y>229</y>
+	</hint>
    </hints>
   </connection>
@@ -566,12 +566,12 @@
    <slot>trigger()</slot>
    <hints>
-    <hint type="sourcelabel">
-     <x>58</x>
-     <y>327</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>-1</x>
-     <y>-1</y>
-    </hint>
+	<hint type="sourcelabel">
+	 <x>58</x>
+	 <y>327</y>
+	</hint>
+	<hint type="destinationlabel">
+	 <x>-1</x>
+	 <y>-1</y>
+	</hint>
    </hints>
   </connection>
